"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.Roles = void 0;
const resource_1 = require("cloudflare/resource");
class Roles extends resource_1.APIResource {
    /**
     * Get all available roles for an account.
     */
    list(params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/roles`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Get information about a specific role for an account.
     */
    get(roleId, params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/roles/${roleId}`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.Roles = Roles;
(function (Roles) {
})(Roles = exports.Roles || (exports.Roles = {}));
//# sourceMappingURL=roles.js.map