// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class Roles extends APIResource {
    /**
     * Get all available roles for an account.
     */
    list(params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/roles`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Get information about a specific role for an account.
     */
    get(roleId, params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/roles/${roleId}`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (Roles) {
})(Roles || (Roles = {}));
//# sourceMappingURL=roles.mjs.map