// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class IPs extends APIResource {
    /**
     * Add an IP from a prefix owned by the account to a particular address map.
     */
    update(addressMapId, ipAddress, params, options) {
        const { account_id } = params;
        return this._client.put(`/accounts/${account_id}/addressing/address_maps/${addressMapId}/ips/${ipAddress}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Remove an IP from a particular address map.
     */
    delete(addressMapId, ipAddress, params, options) {
        const { account_id } = params;
        return this._client.delete(`/accounts/${account_id}/addressing/address_maps/${addressMapId}/ips/${ipAddress}`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (IPs) {
})(IPs || (IPs = {}));
//# sourceMappingURL=ips.mjs.map