import { APIResource } from 'cloudflare/resource';
import * as ServicesAPI from 'cloudflare/resources/addressing/services';
import * as AddressMapsAPI from 'cloudflare/resources/addressing/address-maps/address-maps';
import * as LOADocumentsAPI from 'cloudflare/resources/addressing/loa-documents/loa-documents';
import * as PrefixesAPI from 'cloudflare/resources/addressing/prefixes/prefixes';
export declare class Addressing extends APIResource {
    services: ServicesAPI.Services;
    addressMaps: AddressMapsAPI.AddressMaps;
    loaDocuments: LOADocumentsAPI.LOADocuments;
    prefixes: PrefixesAPI.Prefixes;
}
export declare namespace Addressing {
    export import Services = ServicesAPI.Services;
    export import ServiceListResponse = ServicesAPI.ServiceListResponse;
    export import ServiceListParams = ServicesAPI.ServiceListParams;
    export import AddressMaps = AddressMapsAPI.AddressMaps;
    export import AddressingAddressMaps = AddressMapsAPI.AddressingAddressMaps;
    export import AddressMapCreateResponse = AddressMapsAPI.AddressMapCreateResponse;
    export import AddressMapListResponse = AddressMapsAPI.AddressMapListResponse;
    export import AddressMapDeleteResponse = AddressMapsAPI.AddressMapDeleteResponse;
    export import AddressMapGetResponse = AddressMapsAPI.AddressMapGetResponse;
    export import AddressMapCreateParams = AddressMapsAPI.AddressMapCreateParams;
    export import AddressMapListParams = AddressMapsAPI.AddressMapListParams;
    export import AddressMapDeleteParams = AddressMapsAPI.AddressMapDeleteParams;
    export import AddressMapEditParams = AddressMapsAPI.AddressMapEditParams;
    export import AddressMapGetParams = AddressMapsAPI.AddressMapGetParams;
    export import LOADocuments = LOADocumentsAPI.LOADocuments;
    export import LOADocumentCreateResponse = LOADocumentsAPI.LOADocumentCreateResponse;
    export import LOADocumentCreateParams = LOADocumentsAPI.LOADocumentCreateParams;
    export import Prefixes = PrefixesAPI.Prefixes;
    export import AddressingIpamPrefixes = PrefixesAPI.AddressingIpamPrefixes;
    export import PrefixListResponse = PrefixesAPI.PrefixListResponse;
    export import PrefixDeleteResponse = PrefixesAPI.PrefixDeleteResponse;
    export import PrefixCreateParams = PrefixesAPI.PrefixCreateParams;
    export import PrefixListParams = PrefixesAPI.PrefixListParams;
    export import PrefixDeleteParams = PrefixesAPI.PrefixDeleteParams;
    export import PrefixEditParams = PrefixesAPI.PrefixEditParams;
    export import PrefixGetParams = PrefixesAPI.PrefixGetParams;
}
//# sourceMappingURL=addressing.d.ts.map