"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.Statuses = void 0;
const resource_1 = require("cloudflare/resource");
class Statuses extends resource_1.APIResource {
    /**
     * Advertise or withdraw BGP route for a prefix.
     */
    edit(prefixId, params, options) {
        const { account_id, ...body } = params;
        return this._client.patch(`/accounts/${account_id}/addressing/prefixes/${prefixId}/bgp/status`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * List the current advertisement state for a prefix.
     */
    get(prefixId, params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/addressing/prefixes/${prefixId}/bgp/status`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.Statuses = Statuses;
(function (Statuses) {
})(Statuses = exports.Statuses || (exports.Statuses = {}));
//# sourceMappingURL=statuses.js.map