// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
import * as HistoriesAPI from 'cloudflare/resources/alerting/v3/histories';
import { V4PagePaginationArray } from 'cloudflare/pagination';
export class Histories extends APIResource {
    /**
     * Gets a list of history records for notifications sent to an account. The records
     * are displayed for last `x` number of days based on the zone plan (free = 30, pro
     * = 30, biz = 30, ent = 90).
     */
    list(params, options) {
        const { account_id, ...query } = params;
        return this._client.getAPIList(`/accounts/${account_id}/alerting/v3/history`, AaaHistoriesV4PagePaginationArray, { query, ...options });
    }
}
export class AaaHistoriesV4PagePaginationArray extends V4PagePaginationArray {
}
(function (Histories) {
    Histories.AaaHistoriesV4PagePaginationArray = HistoriesAPI.AaaHistoriesV4PagePaginationArray;
})(Histories || (Histories = {}));
//# sourceMappingURL=histories.mjs.map