"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.AvailablePlans = void 0;
const resource_1 = require("cloudflare/resource");
class AvailablePlans extends resource_1.APIResource {
    /**
     * Lists available plans the zone can subscribe to.
     */
    list(zoneIdentifier, options) {
        return this._client.get(`/zones/${zoneIdentifier}/available_plans`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Details of the available plan that the zone can subscribe to.
     */
    get(zoneIdentifier, planIdentifier, options) {
        return this._client.get(`/zones/${zoneIdentifier}/available_plans/${planIdentifier}`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.AvailablePlans = AvailablePlans;
(function (AvailablePlans) {
})(AvailablePlans = exports.AvailablePlans || (exports.AvailablePlans = {}));
//# sourceMappingURL=available-plans.js.map