"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.SmartTieredCache = void 0;
const resource_1 = require("cloudflare/resource");
class SmartTieredCache extends resource_1.APIResource {
    /**
     * Remvoves enablement of Smart Tiered Cache
     */
    delete(params, options) {
        const { zone_id } = params;
        return this._client.delete(`/zones/${zone_id}/cache/tiered_cache_smart_topology_enable`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Updates enablement of Tiered Cache
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/cache/tiered_cache_smart_topology_enable`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Get Smart Tiered Cache setting
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/cache/tiered_cache_smart_topology_enable`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.SmartTieredCache = SmartTieredCache;
(function (SmartTieredCache) {
})(SmartTieredCache = exports.SmartTieredCache || (exports.SmartTieredCache = {}));
//# sourceMappingURL=smart-tiered-cache.js.map