"use strict";
// File generated from our OpenAPI spec by Stainless.
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TLSCertificatesAndHostnamesClientCertificatesV4PagePaginationArray = exports.ClientCertificates = void 0;
const resource_1 = require("cloudflare/resource");
const ClientCertificatesAPI = __importStar(require("cloudflare/resources/client-certificates"));
const pagination_1 = require("cloudflare/pagination");
class ClientCertificates extends resource_1.APIResource {
    /**
     * Create a new API Shield mTLS Client Certificate
     */
    create(params, options) {
        const { zone_id, ...body } = params;
        return this._client.post(`/zones/${zone_id}/client_certificates`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * List all of your Zone's API Shield mTLS Client Certificates by Status and/or
     * using Pagination
     */
    list(params, options) {
        const { zone_id, ...query } = params;
        return this._client.getAPIList(`/zones/${zone_id}/client_certificates`, TLSCertificatesAndHostnamesClientCertificatesV4PagePaginationArray, { query, ...options });
    }
    /**
     * Set a API Shield mTLS Client Certificate to pending_revocation status for
     * processing to revoked status.
     */
    delete(clientCertificateId, params, options) {
        const { zone_id } = params;
        return this._client.delete(`/zones/${zone_id}/client_certificates/${clientCertificateId}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * If a API Shield mTLS Client Certificate is in a pending_revocation state, you
     * may reactivate it with this endpoint.
     */
    edit(clientCertificateId, params, options) {
        const { zone_id } = params;
        return this._client.patch(`/zones/${zone_id}/client_certificates/${clientCertificateId}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Get Details for a single mTLS API Shield Client Certificate
     */
    get(clientCertificateId, params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/client_certificates/${clientCertificateId}`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.ClientCertificates = ClientCertificates;
class TLSCertificatesAndHostnamesClientCertificatesV4PagePaginationArray extends pagination_1.V4PagePaginationArray {
}
exports.TLSCertificatesAndHostnamesClientCertificatesV4PagePaginationArray = TLSCertificatesAndHostnamesClientCertificatesV4PagePaginationArray;
(function (ClientCertificates) {
    ClientCertificates.TLSCertificatesAndHostnamesClientCertificatesV4PagePaginationArray = ClientCertificatesAPI.TLSCertificatesAndHostnamesClientCertificatesV4PagePaginationArray;
})(ClientCertificates = exports.ClientCertificates || (exports.ClientCertificates = {}));
//# sourceMappingURL=client-certificates.js.map