// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
import * as ClientCertificatesAPI from 'cloudflare/resources/client-certificates';
import { V4PagePaginationArray } from 'cloudflare/pagination';
export class ClientCertificates extends APIResource {
    /**
     * Create a new API Shield mTLS Client Certificate
     */
    create(params, options) {
        const { zone_id, ...body } = params;
        return this._client.post(`/zones/${zone_id}/client_certificates`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * List all of your Zone's API Shield mTLS Client Certificates by Status and/or
     * using Pagination
     */
    list(params, options) {
        const { zone_id, ...query } = params;
        return this._client.getAPIList(`/zones/${zone_id}/client_certificates`, TLSCertificatesAndHostnamesClientCertificatesV4PagePaginationArray, { query, ...options });
    }
    /**
     * Set a API Shield mTLS Client Certificate to pending_revocation status for
     * processing to revoked status.
     */
    delete(clientCertificateId, params, options) {
        const { zone_id } = params;
        return this._client.delete(`/zones/${zone_id}/client_certificates/${clientCertificateId}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * If a API Shield mTLS Client Certificate is in a pending_revocation state, you
     * may reactivate it with this endpoint.
     */
    edit(clientCertificateId, params, options) {
        const { zone_id } = params;
        return this._client.patch(`/zones/${zone_id}/client_certificates/${clientCertificateId}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Get Details for a single mTLS API Shield Client Certificate
     */
    get(clientCertificateId, params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/client_certificates/${clientCertificateId}`, options)._thenUnwrap((obj) => obj.result);
    }
}
export class TLSCertificatesAndHostnamesClientCertificatesV4PagePaginationArray extends V4PagePaginationArray {
}
(function (ClientCertificates) {
    ClientCertificates.TLSCertificatesAndHostnamesClientCertificatesV4PagePaginationArray = ClientCertificatesAPI.TLSCertificatesAndHostnamesClientCertificatesV4PagePaginationArray;
})(ClientCertificates || (ClientCertificates = {}));
//# sourceMappingURL=client-certificates.mjs.map