"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.Priority = void 0;
const resource_1 = require("cloudflare/resource");
class Priority extends resource_1.APIResource {
    /**
     * Create a New Priority Requirement
     */
    create(accountIdentifier, body, options) {
        return this._client.post(`/accounts/${accountIdentifier}/cloudforce-one/requests/priority/new`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Update a Priority Intelligence Requirement
     */
    update(accountIdentifier, priorityIdentifer, body, options) {
        return this._client.put(`/accounts/${accountIdentifier}/cloudforce-one/requests/priority/${priorityIdentifer}`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Delete a Priority Intelligence Report
     */
    delete(accountIdentifier, priorityIdentifer, options) {
        return this._client.delete(`/accounts/${accountIdentifier}/cloudforce-one/requests/priority/${priorityIdentifer}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Get a Priority Intelligence Requirement
     */
    get(accountIdentifier, priorityIdentifer, options) {
        return this._client.get(`/accounts/${accountIdentifier}/cloudforce-one/requests/priority/${priorityIdentifer}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Get Priority Intelligence Requirement Quota
     */
    quota(accountIdentifier, options) {
        return this._client.get(`/accounts/${accountIdentifier}/cloudforce-one/requests/priority/quota`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.Priority = Priority;
(function (Priority) {
})(Priority = exports.Priority || (exports.Priority = {}));
//# sourceMappingURL=priority.js.map