import { APIResource } from 'cloudflare/resource';
import * as AccessRulesAPI from 'cloudflare/resources/firewall/access-rules';
import * as LockdownsAPI from 'cloudflare/resources/firewall/lockdowns';
import * as RulesAPI from 'cloudflare/resources/firewall/rules';
import * as UARulesAPI from 'cloudflare/resources/firewall/ua-rules';
import * as WAFAPI from 'cloudflare/resources/firewall/waf/waf';
export declare class Firewall extends APIResource {
    lockdowns: LockdownsAPI.Lockdowns;
    rules: RulesAPI.Rules;
    accessRules: AccessRulesAPI.AccessRules;
    uaRules: UARulesAPI.UARules;
    waf: WAFAPI.WAF;
}
export declare namespace Firewall {
    export import Lockdowns = LockdownsAPI.Lockdowns;
    export import LegacyJhsZonelockdown = LockdownsAPI.LegacyJhsZonelockdown;
    export import LockdownDeleteResponse = LockdownsAPI.LockdownDeleteResponse;
    export import LegacyJhsZonelockdownsV4PagePaginationArray = LockdownsAPI.LegacyJhsZonelockdownsV4PagePaginationArray;
    export import LockdownCreateParams = LockdownsAPI.LockdownCreateParams;
    export import LockdownUpdateParams = LockdownsAPI.LockdownUpdateParams;
    export import LockdownListParams = LockdownsAPI.LockdownListParams;
    export import Rules = RulesAPI.Rules;
    export import LegacyJhsFilterRule = RulesAPI.LegacyJhsFilterRule;
    export import RuleCreateResponse = RulesAPI.RuleCreateResponse;
    export import RuleEditResponse = RulesAPI.RuleEditResponse;
    export import LegacyJhsFilterRulesV4PagePaginationArray = RulesAPI.LegacyJhsFilterRulesV4PagePaginationArray;
    export import RuleCreateParams = RulesAPI.RuleCreateParams;
    export import RuleUpdateParams = RulesAPI.RuleUpdateParams;
    export import RuleListParams = RulesAPI.RuleListParams;
    export import RuleDeleteParams = RulesAPI.RuleDeleteParams;
    export import RuleEditParams = RulesAPI.RuleEditParams;
    export import AccessRules = AccessRulesAPI.AccessRules;
    export import AccessRuleCreateResponse = AccessRulesAPI.AccessRuleCreateResponse;
    export import AccessRuleListResponse = AccessRulesAPI.AccessRuleListResponse;
    export import AccessRuleDeleteResponse = AccessRulesAPI.AccessRuleDeleteResponse;
    export import AccessRuleEditResponse = AccessRulesAPI.AccessRuleEditResponse;
    export import AccessRuleGetResponse = AccessRulesAPI.AccessRuleGetResponse;
    export import AccessRuleListResponsesV4PagePaginationArray = AccessRulesAPI.AccessRuleListResponsesV4PagePaginationArray;
    export import AccessRuleCreateParams = AccessRulesAPI.AccessRuleCreateParams;
    export import AccessRuleListParams = AccessRulesAPI.AccessRuleListParams;
    export import AccessRuleDeleteParams = AccessRulesAPI.AccessRuleDeleteParams;
    export import AccessRuleEditParams = AccessRulesAPI.AccessRuleEditParams;
    export import AccessRuleGetParams = AccessRulesAPI.AccessRuleGetParams;
    export import UARules = UARulesAPI.UARules;
    export import LegacyJhsUARules = UARulesAPI.LegacyJhsUARules;
    export import UARuleCreateResponse = UARulesAPI.UARuleCreateResponse;
    export import UARuleUpdateResponse = UARulesAPI.UARuleUpdateResponse;
    export import UARuleListResponse = UARulesAPI.UARuleListResponse;
    export import UARuleDeleteResponse = UARulesAPI.UARuleDeleteResponse;
    export import UARuleGetResponse = UARulesAPI.UARuleGetResponse;
    export import UARuleListResponsesV4PagePaginationArray = UARulesAPI.UARuleListResponsesV4PagePaginationArray;
    export import UARuleCreateParams = UARulesAPI.UARuleCreateParams;
    export import UARuleUpdateParams = UARulesAPI.UARuleUpdateParams;
    export import UARuleListParams = UARulesAPI.UARuleListParams;
    export import WAF = WAFAPI.WAF;
}
//# sourceMappingURL=firewall.d.ts.map