import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as SubnetsAPI from 'cloudflare/resources/intel/asn/subnets';
import * as ASNAPI from 'cloudflare/resources/intel/asn/asn';
export declare class Subnets extends APIResource {
    /**
     * Get ASN Subnets
     */
    get(asn: ASNAPI.IntelASN, params: SubnetGetParams, options?: Core.RequestOptions): Core.APIPromise<SubnetGetResponse>;
}
export interface SubnetGetResponse {
    asn?: ASNAPI.IntelASN;
    /**
     * Total results returned based on your search parameters.
     */
    count?: number;
    ip_count_total?: number;
    /**
     * Current page within paginated list of results.
     */
    page?: number;
    /**
     * Number of results per page of results.
     */
    per_page?: number;
    subnets?: Array<string>;
}
export interface SubnetGetParams {
    /**
     * Identifier
     */
    account_id: string;
}
export declare namespace Subnets {
    export import SubnetGetResponse = SubnetsAPI.SubnetGetResponse;
    export import SubnetGetParams = SubnetsAPI.SubnetGetParams;
}
//# sourceMappingURL=subnets.d.ts.map