import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as IPListsAPI from 'cloudflare/resources/intel/ip-lists';
export declare class IPLists extends APIResource {
    /**
     * Get IP Lists
     */
    get(params: IPListGetParams, options?: Core.RequestOptions): Core.APIPromise<IPListGetResponse | null>;
}
export interface IntelIPList {
    id?: number;
    description?: string;
    name?: string;
}
export type IPListGetResponse = Array<IntelIPList>;
export interface IPListGetParams {
    /**
     * Identifier
     */
    account_id: string;
}
export declare namespace IPLists {
    export import IntelIPList = IPListsAPI.IntelIPList;
    export import IPListGetResponse = IPListsAPI.IPListGetResponse;
    export import IPListGetParams = IPListsAPI.IPListGetParams;
}
//# sourceMappingURL=ip-lists.d.ts.map