import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as WhoisAPI from 'cloudflare/resources/intel/whois';
export declare class Whois extends APIResource {
    /**
     * Get WHOIS Record
     */
    get(params: WhoisGetParams, options?: Core.RequestOptions): Core.APIPromise<IntelWhois>;
}
export interface IntelWhois {
    created_date?: string;
    domain?: string;
    nameservers?: Array<string>;
    registrant?: string;
    registrant_country?: string;
    registrant_email?: string;
    registrant_org?: string;
    registrar?: string;
    updated_date?: string;
}
export interface WhoisGetParams {
    /**
     * Path param: Identifier
     */
    account_id: string;
    /**
     * Query param:
     */
    domain?: string;
}
export declare namespace Whois {
    export import IntelWhois = WhoisAPI.IntelWhois;
    export import WhoisGetParams = WhoisAPI.WhoisGetParams;
}
//# sourceMappingURL=whois.d.ts.map