import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as MetadataAPI from 'cloudflare/resources/kv/namespaces/metadata';
export declare class Metadata extends APIResource {
    /**
     * Returns the metadata associated with the given key in the given namespace. Use
     * URL-encoding to use special characters (for example, `:`, `!`, `%`) in the key
     * name.
     */
    get(namespaceId: string, keyName: string, params: MetadataGetParams, options?: Core.RequestOptions): Core.APIPromise<MetadataGetResponse>;
}
/**
 * Arbitrary JSON that is associated with a key.
 */
export type MetadataGetResponse = unknown;
export interface MetadataGetParams {
    /**
     * Identifier
     */
    account_id: string;
}
export declare namespace Metadata {
    export import MetadataGetResponse = MetadataAPI.MetadataGetResponse;
    export import MetadataGetParams = MetadataAPI.MetadataGetParams;
}
//# sourceMappingURL=metadata.d.ts.map