import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as ReferencesAPI from 'cloudflare/resources/load-balancers/monitors/references';
export declare class References extends APIResource {
    /**
     * Get the list of resources that reference the provided monitor.
     */
    get(monitorId: string, params: ReferenceGetParams, options?: Core.RequestOptions): Core.APIPromise<ReferenceGetResponse | null>;
}
/**
 * List of resources that reference a given monitor.
 */
export type ReferenceGetResponse = Array<ReferenceGetResponse.ReferenceGetResponseItem>;
export declare namespace ReferenceGetResponse {
    interface ReferenceGetResponseItem {
        reference_type?: '*' | 'referral' | 'referrer';
        resource_id?: string;
        resource_name?: string;
        resource_type?: string;
    }
}
export interface ReferenceGetParams {
    /**
     * Identifier
     */
    account_id: string;
}
export declare namespace References {
    export import ReferenceGetResponse = ReferencesAPI.ReferenceGetResponse;
    export import ReferenceGetParams = ReferencesAPI.ReferenceGetParams;
}
//# sourceMappingURL=references.d.ts.map