import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as AdvertisementsAPI from 'cloudflare/resources/magic-network-monitoring/rules/advertisements';
export declare class Advertisements extends APIResource {
    /**
     * Update advertisement for rule.
     */
    edit(accountIdentifier: unknown, ruleIdentifier: unknown, options?: Core.RequestOptions): Core.APIPromise<MagicVisibilityMNMRuleAdvertisable | null>;
}
export interface MagicVisibilityMNMRuleAdvertisable {
    /**
     * Toggle on if you would like Cloudflare to automatically advertise the IP
     * Prefixes within the rule via Magic Transit when the rule is triggered. Only
     * available for users of Magic Transit.
     */
    automatic_advertisement: boolean | null;
}
export declare namespace Advertisements {
    export import MagicVisibilityMNMRuleAdvertisable = AdvertisementsAPI.MagicVisibilityMNMRuleAdvertisable;
}
//# sourceMappingURL=advertisements.d.ts.map