// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class CfInterconnects extends APIResource {
    /**
     * Updates a specific interconnect associated with an account. Use
     * `?validate_only=true` as an optional query parameter to only run validation
     * without persisting changes.
     */
    update(accountIdentifier, tunnelIdentifier, body, options) {
        return this._client.put(`/accounts/${accountIdentifier}/magic/cf_interconnects/${tunnelIdentifier}`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Lists interconnects associated with an account.
     */
    list(accountIdentifier, options) {
        return this._client.get(`/accounts/${accountIdentifier}/magic/cf_interconnects`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Lists details for a specific interconnect.
     */
    get(accountIdentifier, tunnelIdentifier, options) {
        return this._client.get(`/accounts/${accountIdentifier}/magic/cf_interconnects/${tunnelIdentifier}`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (CfInterconnects) {
})(CfInterconnects || (CfInterconnects = {}));
//# sourceMappingURL=cf-interconnects.mjs.map