// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class Lans extends APIResource {
    /**
     * Creates a new LAN. If the site is in high availability mode, static_addressing
     * is required along with secondary and virtual address.
     */
    create(accountIdentifier, siteIdentifier, body, options) {
        return this._client.post(`/accounts/${accountIdentifier}/magic/sites/${siteIdentifier}/lans`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Update a specific LAN.
     */
    update(accountIdentifier, siteIdentifier, lanIdentifier, body, options) {
        return this._client.put(`/accounts/${accountIdentifier}/magic/sites/${siteIdentifier}/lans/${lanIdentifier}`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Lists LANs associated with an account and site.
     */
    list(accountIdentifier, siteIdentifier, options) {
        return this._client.get(`/accounts/${accountIdentifier}/magic/sites/${siteIdentifier}/lans`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Remove a specific LAN.
     */
    delete(accountIdentifier, siteIdentifier, lanIdentifier, options) {
        return this._client.delete(`/accounts/${accountIdentifier}/magic/sites/${siteIdentifier}/lans/${lanIdentifier}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Get a specific LAN.
     */
    get(accountIdentifier, siteIdentifier, lanIdentifier, options) {
        return this._client.get(`/accounts/${accountIdentifier}/magic/sites/${siteIdentifier}/lans/${lanIdentifier}`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (Lans) {
})(Lans || (Lans = {}));
//# sourceMappingURL=lans.mjs.map