"use strict";
// File generated from our OpenAPI spec by Stainless.
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Sites = void 0;
const resource_1 = require("cloudflare/resource");
const ACLsAPI = __importStar(require("cloudflare/resources/magic-transit/sites/acls"));
const LansAPI = __importStar(require("cloudflare/resources/magic-transit/sites/lans"));
const WansAPI = __importStar(require("cloudflare/resources/magic-transit/sites/wans"));
class Sites extends resource_1.APIResource {
    constructor() {
        super(...arguments);
        this.acls = new ACLsAPI.ACLs(this._client);
        this.lans = new LansAPI.Lans(this._client);
        this.wans = new WansAPI.Wans(this._client);
    }
    /**
     * Creates a new Site
     */
    create(accountIdentifier, body, options) {
        return this._client.post(`/accounts/${accountIdentifier}/magic/sites`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Update a specific Site.
     */
    update(accountIdentifier, siteIdentifier, body, options) {
        return this._client.put(`/accounts/${accountIdentifier}/magic/sites/${siteIdentifier}`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Lists Sites associated with an account. Use connector_identifier query param to
     * return sites where connector_identifier matches either site.ConnectorID or
     * site.SecondaryConnectorID.
     */
    list(accountIdentifier, options) {
        return this._client.get(`/accounts/${accountIdentifier}/magic/sites`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Remove a specific Site.
     */
    delete(accountIdentifier, siteIdentifier, options) {
        return this._client.delete(`/accounts/${accountIdentifier}/magic/sites/${siteIdentifier}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Get a specific Site.
     */
    get(accountIdentifier, siteIdentifier, options) {
        return this._client.get(`/accounts/${accountIdentifier}/magic/sites/${siteIdentifier}`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.Sites = Sites;
(function (Sites) {
    Sites.ACLs = ACLsAPI.ACLs;
    Sites.Lans = LansAPI.Lans;
    Sites.Wans = WansAPI.Wans;
})(Sites = exports.Sites || (exports.Sites = {}));
//# sourceMappingURL=sites.js.map