"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.Wans = void 0;
const resource_1 = require("cloudflare/resource");
class Wans extends resource_1.APIResource {
    /**
     * Creates a new WAN.
     */
    create(accountIdentifier, siteIdentifier, body, options) {
        return this._client.post(`/accounts/${accountIdentifier}/magic/sites/${siteIdentifier}/wans`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Update a specific WAN.
     */
    update(accountIdentifier, siteIdentifier, wanIdentifier, body, options) {
        return this._client.put(`/accounts/${accountIdentifier}/magic/sites/${siteIdentifier}/wans/${wanIdentifier}`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Lists WANs associated with an account and site.
     */
    list(accountIdentifier, siteIdentifier, options) {
        return this._client.get(`/accounts/${accountIdentifier}/magic/sites/${siteIdentifier}/wans`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Remove a specific WAN.
     */
    delete(accountIdentifier, siteIdentifier, wanIdentifier, options) {
        return this._client.delete(`/accounts/${accountIdentifier}/magic/sites/${siteIdentifier}/wans/${wanIdentifier}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Get a specific WAN.
     */
    get(accountIdentifier, siteIdentifier, wanIdentifier, options) {
        return this._client.get(`/accounts/${accountIdentifier}/magic/sites/${siteIdentifier}/wans/${wanIdentifier}`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.Wans = Wans;
(function (Wans) {
})(Wans = exports.Wans || (exports.Wans = {}));
//# sourceMappingURL=wans.js.map