"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.Scripts = void 0;
const resource_1 = require("cloudflare/resource");
class Scripts extends resource_1.APIResource {
    /**
     * Lists all scripts detected by Page Shield.
     */
    list(params, options) {
        const { zone_id, ...query } = params;
        return this._client.get(`/zones/${zone_id}/page_shield/scripts`, { query, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Fetches a script detected by Page Shield by script ID.
     */
    get(scriptId, params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/page_shield/scripts/${scriptId}`, options);
    }
}
exports.Scripts = Scripts;
(function (Scripts) {
})(Scripts = exports.Scripts || (exports.Scripts = {}));
//# sourceMappingURL=scripts.js.map