// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class IQI extends APIResource {
    /**
     * Get a summary (percentiles) of bandwidth, latency or DNS response time from the
     * Radar Internet Quality Index (IQI).
     */
    summary(query, options) {
        return this._client.get('/radar/quality/iqi/summary', { query, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Get a time series (percentiles) of bandwidth, latency or DNS response time from
     * the Radar Internet Quality Index (IQI).
     */
    timeseriesGroups(query, options) {
        return this._client.get('/radar/quality/iqi/timeseries_groups', { query, ...options })._thenUnwrap((obj) => obj.result);
    }
}
(function (IQI) {
})(IQI || (IQI = {}));
//# sourceMappingURL=iqi.mjs.map