"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.Domains = void 0;
const resource_1 = require("cloudflare/resource");
class Domains extends resource_1.APIResource {
    /**
     * Update individual domain.
     */
    update(domainName, params, options) {
        const { account_id, ...body } = params;
        return this._client.put(`/accounts/${account_id}/registrar/domains/${domainName}`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * List domains handled by Registrar.
     */
    list(params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/registrar/domains`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Show individual domain.
     */
    get(domainName, params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/registrar/domains/${domainName}`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.Domains = Domains;
(function (Domains) {
})(Domains = exports.Domains || (exports.Domains = {}));
//# sourceMappingURL=domains.js.map