import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as ByTagsAPI from 'cloudflare/resources/rulesets/versions/by-tags';
import * as RulesetsAPI from 'cloudflare/resources/rulesets/rulesets';
export declare class ByTags extends APIResource {
    /**
     * Fetches the rules of a managed account ruleset version for a given tag.
     */
    get(rulesetId: string, rulesetVersion: string, ruleTag: string, params: ByTagGetParams, options?: Core.RequestOptions): Core.APIPromise<RulesetsAPI.RulesetsRulesetResponse>;
}
export interface ByTagGetParams {
    /**
     * The unique ID of the account.
     */
    account_id: string;
}
export declare namespace ByTags {
    export import ByTagGetParams = ByTagsAPI.ByTagGetParams;
}
//# sourceMappingURL=by-tags.d.ts.map