"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.Tokens = void 0;
const resource_1 = require("cloudflare/resource");
class Tokens extends resource_1.APIResource {
    /**
     * Creates a signed URL token for a video. If a body is not provided in the
     * request, a token is created with default values.
     */
    create(identifier, params, options) {
        const { account_id, ...body } = params;
        return this._client.post(`/accounts/${account_id}/stream/${identifier}/token`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
}
exports.Tokens = Tokens;
(function (Tokens) {
})(Tokens = exports.Tokens || (exports.Tokens = {}));
//# sourceMappingURL=tokens.js.map