import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as WebhooksAPI from 'cloudflare/resources/stream/webhooks';
export declare class Webhooks extends APIResource {
    /**
     * Creates a webhook notification.
     */
    update(params: WebhookUpdateParams, options?: Core.RequestOptions): Core.APIPromise<WebhookUpdateResponse>;
    /**
     * Deletes a webhook.
     */
    delete(params: WebhookDeleteParams, options?: Core.RequestOptions): Core.APIPromise<WebhookDeleteResponse>;
    /**
     * Retrieves a list of webhooks.
     */
    get(params: WebhookGetParams, options?: Core.RequestOptions): Core.APIPromise<WebhookGetResponse>;
}
export type WebhookUpdateResponse = unknown | string;
export type WebhookDeleteResponse = unknown | string;
export type WebhookGetResponse = unknown | string;
export interface WebhookUpdateParams {
    /**
     * Path param: The account identifier tag.
     */
    account_id: string;
    /**
     * Body param: The URL where webhooks will be sent.
     */
    notificationUrl: string;
}
export interface WebhookDeleteParams {
    /**
     * The account identifier tag.
     */
    account_id: string;
}
export interface WebhookGetParams {
    /**
     * The account identifier tag.
     */
    account_id: string;
}
export declare namespace Webhooks {
    export import WebhookUpdateResponse = WebhooksAPI.WebhookUpdateResponse;
    export import WebhookDeleteResponse = WebhooksAPI.WebhookDeleteResponse;
    export import WebhookGetResponse = WebhooksAPI.WebhookGetResponse;
    export import WebhookUpdateParams = WebhooksAPI.WebhookUpdateParams;
    export import WebhookDeleteParams = WebhooksAPI.WebhookDeleteParams;
    export import WebhookGetParams = WebhooksAPI.WebhookGetParams;
}
//# sourceMappingURL=webhooks.d.ts.map