"use strict";
// File generated from our OpenAPI spec by Stainless.
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LegacyJhsRulesV4PagePaginationArray = exports.AccessRules = void 0;
const resource_1 = require("cloudflare/resource");
const core_1 = require("cloudflare/core");
const AccessRulesAPI = __importStar(require("cloudflare/resources/user/firewall/access-rules"));
const pagination_1 = require("cloudflare/pagination");
class AccessRules extends resource_1.APIResource {
    /**
     * Creates a new IP Access rule for all zones owned by the current user.
     *
     * Note: To create an IP Access rule that applies to a specific zone, refer to the
     * [IP Access rules for a zone](#ip-access-rules-for-a-zone) endpoints.
     */
    create(body, options) {
        return this._client.post('/user/firewall/access_rules/rules', { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    list(query = {}, options) {
        if ((0, core_1.isRequestOptions)(query)) {
            return this.list({}, query);
        }
        return this._client.getAPIList('/user/firewall/access_rules/rules', LegacyJhsRulesV4PagePaginationArray, {
            query,
            ...options,
        });
    }
    /**
     * Deletes an IP Access rule at the user level.
     *
     * Note: Deleting a user-level rule will affect all zones owned by the user.
     */
    delete(identifier, options) {
        return this._client.delete(`/user/firewall/access_rules/rules/${identifier}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Updates an IP Access rule defined at the user level. You can only update the
     * rule action (`mode` parameter) and notes.
     */
    edit(identifier, body, options) {
        return this._client.patch(`/user/firewall/access_rules/rules/${identifier}`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
}
exports.AccessRules = AccessRules;
class LegacyJhsRulesV4PagePaginationArray extends pagination_1.V4PagePaginationArray {
}
exports.LegacyJhsRulesV4PagePaginationArray = LegacyJhsRulesV4PagePaginationArray;
(function (AccessRules) {
    AccessRules.LegacyJhsRulesV4PagePaginationArray = AccessRulesAPI.LegacyJhsRulesV4PagePaginationArray;
})(AccessRules = exports.AccessRules || (exports.AccessRules = {}));
//# sourceMappingURL=access-rules.js.map