// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class Subscriptions extends APIResource {
    /**
     * Updates a user's subscriptions.
     */
    update(identifier, body, options) {
        return this._client.put(`/user/subscriptions/${identifier}`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Deletes a user's subscription.
     */
    delete(identifier, options) {
        return this._client.delete(`/user/subscriptions/${identifier}`, options);
    }
    /**
     * Updates zone subscriptions, either plan or add-ons.
     */
    edit(identifier, body, options) {
        return this._client.put(`/zones/${identifier}/subscription`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Lists all of a user's subscriptions.
     */
    get(options) {
        return this._client.get('/user/subscriptions', options)._thenUnwrap((obj) => obj.result);
    }
}
(function (Subscriptions) {
})(Subscriptions || (Subscriptions = {}));
//# sourceMappingURL=subscriptions.mjs.map