"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.Settings = void 0;
const resource_1 = require("cloudflare/resource");
class Settings extends resource_1.APIResource {
    /**
     * Update zone-level Waiting Room settings
     */
    update(zoneIdentifier, body, options) {
        return this._client.put(`/zones/${zoneIdentifier}/waiting_rooms/settings`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Patch zone-level Waiting Room settings
     */
    edit(zoneIdentifier, body, options) {
        return this._client.patch(`/zones/${zoneIdentifier}/waiting_rooms/settings`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Get zone-level Waiting Room settings
     */
    get(zoneIdentifier, options) {
        return this._client.get(`/zones/${zoneIdentifier}/waiting_rooms/settings`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.Settings = Settings;
(function (Settings) {
})(Settings = exports.Settings || (exports.Settings = {}));
//# sourceMappingURL=settings.js.map