"use strict";
// File generated from our OpenAPI spec by Stainless.
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WaitingRooms = void 0;
const resource_1 = require("cloudflare/resource");
const PageAPI = __importStar(require("cloudflare/resources/waiting-rooms/page"));
const RulesAPI = __importStar(require("cloudflare/resources/waiting-rooms/rules"));
const SettingsAPI = __importStar(require("cloudflare/resources/waiting-rooms/settings"));
const StatusesAPI = __importStar(require("cloudflare/resources/waiting-rooms/statuses"));
const EventsAPI = __importStar(require("cloudflare/resources/waiting-rooms/events/events"));
class WaitingRooms extends resource_1.APIResource {
    constructor() {
        super(...arguments);
        this.page = new PageAPI.Page(this._client);
        this.events = new EventsAPI.Events(this._client);
        this.rules = new RulesAPI.Rules(this._client);
        this.statuses = new StatusesAPI.Statuses(this._client);
        this.settings = new SettingsAPI.Settings(this._client);
    }
    /**
     * Creates a new waiting room.
     */
    create(zoneIdentifier, body, options) {
        return this._client.post(`/zones/${zoneIdentifier}/waiting_rooms`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Updates a configured waiting room.
     */
    update(zoneIdentifier, waitingRoomId, body, options) {
        return this._client.put(`/zones/${zoneIdentifier}/waiting_rooms/${waitingRoomId}`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Lists waiting rooms.
     */
    list(zoneIdentifier, options) {
        return this._client.get(`/zones/${zoneIdentifier}/waiting_rooms`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Deletes a waiting room.
     */
    delete(zoneIdentifier, waitingRoomId, options) {
        return this._client.delete(`/zones/${zoneIdentifier}/waiting_rooms/${waitingRoomId}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Patches a configured waiting room.
     */
    edit(zoneIdentifier, waitingRoomId, body, options) {
        return this._client.patch(`/zones/${zoneIdentifier}/waiting_rooms/${waitingRoomId}`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Fetches a single configured waiting room.
     */
    get(zoneIdentifier, waitingRoomId, options) {
        return this._client.get(`/zones/${zoneIdentifier}/waiting_rooms/${waitingRoomId}`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.WaitingRooms = WaitingRooms;
(function (WaitingRooms) {
    WaitingRooms.Page = PageAPI.Page;
    WaitingRooms.Events = EventsAPI.Events;
    WaitingRooms.Rules = RulesAPI.Rules;
    WaitingRooms.Statuses = StatusesAPI.Statuses;
    WaitingRooms.Settings = SettingsAPI.Settings;
})(WaitingRooms = exports.WaitingRooms || (exports.WaitingRooms = {}));
//# sourceMappingURL=waiting-rooms.js.map