// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
import * as PageAPI from 'cloudflare/resources/waiting-rooms/page';
import * as RulesAPI from 'cloudflare/resources/waiting-rooms/rules';
import * as SettingsAPI from 'cloudflare/resources/waiting-rooms/settings';
import * as StatusesAPI from 'cloudflare/resources/waiting-rooms/statuses';
import * as EventsAPI from 'cloudflare/resources/waiting-rooms/events/events';
export class WaitingRooms extends APIResource {
    constructor() {
        super(...arguments);
        this.page = new PageAPI.Page(this._client);
        this.events = new EventsAPI.Events(this._client);
        this.rules = new RulesAPI.Rules(this._client);
        this.statuses = new StatusesAPI.Statuses(this._client);
        this.settings = new SettingsAPI.Settings(this._client);
    }
    /**
     * Creates a new waiting room.
     */
    create(zoneIdentifier, body, options) {
        return this._client.post(`/zones/${zoneIdentifier}/waiting_rooms`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Updates a configured waiting room.
     */
    update(zoneIdentifier, waitingRoomId, body, options) {
        return this._client.put(`/zones/${zoneIdentifier}/waiting_rooms/${waitingRoomId}`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Lists waiting rooms.
     */
    list(zoneIdentifier, options) {
        return this._client.get(`/zones/${zoneIdentifier}/waiting_rooms`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Deletes a waiting room.
     */
    delete(zoneIdentifier, waitingRoomId, options) {
        return this._client.delete(`/zones/${zoneIdentifier}/waiting_rooms/${waitingRoomId}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Patches a configured waiting room.
     */
    edit(zoneIdentifier, waitingRoomId, body, options) {
        return this._client.patch(`/zones/${zoneIdentifier}/waiting_rooms/${waitingRoomId}`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Fetches a single configured waiting room.
     */
    get(zoneIdentifier, waitingRoomId, options) {
        return this._client.get(`/zones/${zoneIdentifier}/waiting_rooms/${waitingRoomId}`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (WaitingRooms) {
    WaitingRooms.Page = PageAPI.Page;
    WaitingRooms.Events = EventsAPI.Events;
    WaitingRooms.Rules = RulesAPI.Rules;
    WaitingRooms.Statuses = StatusesAPI.Statuses;
    WaitingRooms.Settings = SettingsAPI.Settings;
})(WaitingRooms || (WaitingRooms = {}));
//# sourceMappingURL=waiting-rooms.mjs.map