// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
import * as EntriesAPI from 'cloudflare/resources/web3/hostnames/ipfs-universal-paths/content-lists/entries';
export class ContentLists extends APIResource {
    constructor() {
        super(...arguments);
        this.entries = new EntriesAPI.Entries(this._client);
    }
    /**
     * Update IPFS Universal Path Gateway Content List
     */
    update(zoneIdentifier, identifier, body, options) {
        return this._client.put(`/zones/${zoneIdentifier}/web3/hostnames/${identifier}/ipfs_universal_path/content_list`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * IPFS Universal Path Gateway Content List Details
     */
    get(zoneIdentifier, identifier, options) {
        return this._client.get(`/zones/${zoneIdentifier}/web3/hostnames/${identifier}/ipfs_universal_path/content_list`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (ContentLists) {
    ContentLists.Entries = EntriesAPI.Entries;
})(ContentLists || (ContentLists = {}));
//# sourceMappingURL=content-lists.mjs.map