// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class Entries extends APIResource {
    /**
     * Create IPFS Universal Path Gateway Content List Entry
     */
    create(zoneIdentifier, identifier, body, options) {
        return this._client.post(`/zones/${zoneIdentifier}/web3/hostnames/${identifier}/ipfs_universal_path/content_list/entries`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Edit IPFS Universal Path Gateway Content List Entry
     */
    update(zoneIdentifier, identifier, contentListEntryIdentifier, body, options) {
        return this._client.put(`/zones/${zoneIdentifier}/web3/hostnames/${identifier}/ipfs_universal_path/content_list/entries/${contentListEntryIdentifier}`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * List IPFS Universal Path Gateway Content List Entries
     */
    list(zoneIdentifier, identifier, options) {
        return this._client.get(`/zones/${zoneIdentifier}/web3/hostnames/${identifier}/ipfs_universal_path/content_list/entries`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Delete IPFS Universal Path Gateway Content List Entry
     */
    delete(zoneIdentifier, identifier, contentListEntryIdentifier, options) {
        return this._client.delete(`/zones/${zoneIdentifier}/web3/hostnames/${identifier}/ipfs_universal_path/content_list/entries/${contentListEntryIdentifier}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * IPFS Universal Path Gateway Content List Entry Details
     */
    get(zoneIdentifier, identifier, contentListEntryIdentifier, options) {
        return this._client.get(`/zones/${zoneIdentifier}/web3/hostnames/${identifier}/ipfs_universal_path/content_list/entries/${contentListEntryIdentifier}`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (Entries) {
})(Entries || (Entries = {}));
//# sourceMappingURL=entries.mjs.map