import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as ByScriptsAPI from 'cloudflare/resources/workers/deployments/by-scripts/by-scripts';
import * as DetailsAPI from 'cloudflare/resources/workers/deployments/by-scripts/details';
export declare class ByScripts extends APIResource {
    details: DetailsAPI.Details;
    /**
     * List Deployments
     */
    get(scriptId: string, params: ByScriptGetParams, options?: Core.RequestOptions): Core.APIPromise<ByScriptGetResponse>;
}
export interface ByScriptGetResponse {
    items?: Array<unknown>;
    latest?: unknown;
}
export interface ByScriptGetParams {
    /**
     * Identifier
     */
    account_id: string;
}
export declare namespace ByScripts {
    export import ByScriptGetResponse = ByScriptsAPI.ByScriptGetResponse;
    export import ByScriptGetParams = ByScriptsAPI.ByScriptGetParams;
    export import Details = DetailsAPI.Details;
    export import DetailGetResponse = DetailsAPI.DetailGetResponse;
    export import DetailGetParams = DetailsAPI.DetailGetParams;
}
//# sourceMappingURL=by-scripts.d.ts.map