import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as FiltersAPI from 'cloudflare/resources/workers/filters';
export declare class Filters extends APIResource {
    /**
     * Create Filter
     */
    create(params: FilterCreateParams, options?: Core.RequestOptions): Core.APIPromise<FilterCreateResponse | null>;
    /**
     * Update Filter
     */
    update(filterId: string, params: FilterUpdateParams, options?: Core.RequestOptions): Core.APIPromise<WorkersFilters>;
    /**
     * List Filters
     */
    list(params: FilterListParams, options?: Core.RequestOptions): Core.APIPromise<FilterListResponse>;
    /**
     * Delete Filter
     */
    delete(filterId: string, params: FilterDeleteParams, options?: Core.RequestOptions): Core.APIPromise<FilterDeleteResponse | null>;
}
export interface WorkersFilters {
    /**
     * Identifier
     */
    id: string;
    enabled: boolean;
    pattern: string;
}
export interface FilterCreateResponse {
    /**
     * Identifier
     */
    id: string;
}
export type FilterListResponse = Array<WorkersFilters>;
export interface FilterDeleteResponse {
    /**
     * Identifier
     */
    id: string;
}
export interface FilterCreateParams {
    /**
     * Path param: Identifier
     */
    zone_id: string;
    /**
     * Body param:
     */
    enabled: boolean;
    /**
     * Body param:
     */
    pattern: string;
}
export interface FilterUpdateParams {
    /**
     * Path param: Identifier
     */
    zone_id: string;
    /**
     * Body param:
     */
    enabled: boolean;
    /**
     * Body param:
     */
    pattern: string;
}
export interface FilterListParams {
    /**
     * Identifier
     */
    zone_id: string;
}
export interface FilterDeleteParams {
    /**
     * Identifier
     */
    zone_id: string;
}
export declare namespace Filters {
    export import WorkersFilters = FiltersAPI.WorkersFilters;
    export import FilterCreateResponse = FiltersAPI.FilterCreateResponse;
    export import FilterListResponse = FiltersAPI.FilterListResponse;
    export import FilterDeleteResponse = FiltersAPI.FilterDeleteResponse;
    export import FilterCreateParams = FiltersAPI.FilterCreateParams;
    export import FilterUpdateParams = FiltersAPI.FilterUpdateParams;
    export import FilterListParams = FiltersAPI.FilterListParams;
    export import FilterDeleteParams = FiltersAPI.FilterDeleteParams;
}
//# sourceMappingURL=filters.d.ts.map