// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
import { multipartFormRequestOptions } from 'cloudflare/core';
export class Content extends APIResource {
    /**
     * Put script content without touching config or metadata
     */
    update(scriptName, params, options) {
        const { account_id, 'CF-WORKER-BODY-PART': cfWorkerBodyPart, 'CF-WORKER-MAIN-MODULE-PART': cfWorkerMainModulePart, ...body } = params;
        return this._client.put(`/accounts/${account_id}/workers/scripts/${scriptName}/content`, multipartFormRequestOptions({
            body,
            ...options,
            headers: {
                'CF-WORKER-BODY-PART': cfWorkerBodyPart || '',
                'CF-WORKER-MAIN-MODULE-PART': cfWorkerMainModulePart || '',
                ...options?.headers,
            },
        }))._thenUnwrap((obj) => obj.result);
    }
}
(function (Content) {
})(Content || (Content = {}));
//# sourceMappingURL=content.mjs.map