import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as SchedulesAPI from 'cloudflare/resources/workers/scripts/schedules';
export declare class Schedules extends APIResource {
    /**
     * Updates Cron Triggers for a Worker.
     */
    update(scriptName: string, params: ScheduleUpdateParams, options?: Core.RequestOptions): Core.APIPromise<ScheduleUpdateResponse>;
    /**
     * Fetches Cron Triggers for a Worker.
     */
    get(scriptName: string, params: ScheduleGetParams, options?: Core.RequestOptions): Core.APIPromise<ScheduleGetResponse>;
}
export interface ScheduleUpdateResponse {
    schedules?: Array<ScheduleUpdateResponse.Schedule>;
}
export declare namespace ScheduleUpdateResponse {
    interface Schedule {
        created_on?: unknown;
        cron?: unknown;
        modified_on?: unknown;
    }
}
export interface ScheduleGetResponse {
    schedules?: Array<ScheduleGetResponse.Schedule>;
}
export declare namespace ScheduleGetResponse {
    interface Schedule {
        created_on?: unknown;
        cron?: unknown;
        modified_on?: unknown;
    }
}
export interface ScheduleUpdateParams {
    /**
     * Path param: Identifier
     */
    account_id: string;
    /**
     * Body param:
     */
    body: unknown;
}
export interface ScheduleGetParams {
    /**
     * Identifier
     */
    account_id: string;
}
export declare namespace Schedules {
    export import ScheduleUpdateResponse = SchedulesAPI.ScheduleUpdateResponse;
    export import ScheduleGetResponse = SchedulesAPI.ScheduleGetResponse;
    export import ScheduleUpdateParams = SchedulesAPI.ScheduleUpdateParams;
    export import ScheduleGetParams = SchedulesAPI.ScheduleGetParams;
}
//# sourceMappingURL=schedules.d.ts.map