"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.Includes = void 0;
const resource_1 = require("cloudflare/resource");
class Includes extends resource_1.APIResource {
    /**
     * Sets the list of routes included in the WARP client's tunnel.
     */
    update(params, options) {
        const { account_id, body } = params;
        return this._client.put(`/accounts/${account_id}/devices/policy/include`, {
            body: body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Fetches the list of routes included in the WARP client's tunnel.
     */
    list(params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/devices/policy/include`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Fetches the list of routes included in the WARP client's tunnel for a specific
     * device settings profile.
     */
    get(policyId, params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/devices/policy/${policyId}/include`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.Includes = Includes;
(function (Includes) {
})(Includes = exports.Includes || (exports.Includes = {}));
//# sourceMappingURL=includes.js.map