"use strict";
// File generated from our OpenAPI spec by Stainless.
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Policies = void 0;
const resource_1 = require("cloudflare/resource");
const DefaultPolicyAPI = __importStar(require("cloudflare/resources/zero-trust/devices/policies/default-policy"));
const ExcludesAPI = __importStar(require("cloudflare/resources/zero-trust/devices/policies/excludes"));
const FallbackDomainsAPI = __importStar(require("cloudflare/resources/zero-trust/devices/policies/fallback-domains"));
const IncludesAPI = __importStar(require("cloudflare/resources/zero-trust/devices/policies/includes"));
class Policies extends resource_1.APIResource {
    constructor() {
        super(...arguments);
        this.defaultPolicy = new DefaultPolicyAPI.DefaultPolicy(this._client);
        this.excludes = new ExcludesAPI.Excludes(this._client);
        this.fallbackDomains = new FallbackDomainsAPI.FallbackDomains(this._client);
        this.includes = new IncludesAPI.Includes(this._client);
    }
    /**
     * Creates a device settings profile to be applied to certain devices matching the
     * criteria.
     */
    create(params, options) {
        const { account_id, ...body } = params;
        return this._client.post(`/accounts/${account_id}/devices/policy`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Fetches a list of the device settings profiles for an account.
     */
    list(params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/devices/policies`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Deletes a device settings profile and fetches a list of the remaining profiles
     * for an account.
     */
    delete(policyId, params, options) {
        const { account_id } = params;
        return this._client.delete(`/accounts/${account_id}/devices/policy/${policyId}`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Updates a configured device settings profile.
     */
    edit(policyId, params, options) {
        const { account_id, ...body } = params;
        return this._client.patch(`/accounts/${account_id}/devices/policy/${policyId}`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Fetches a device settings profile by ID.
     */
    get(policyId, params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/devices/policy/${policyId}`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.Policies = Policies;
(function (Policies) {
    Policies.DefaultPolicy = DefaultPolicyAPI.DefaultPolicy;
    Policies.Excludes = ExcludesAPI.Excludes;
    Policies.FallbackDomains = FallbackDomainsAPI.FallbackDomains;
    Policies.Includes = IncludesAPI.Includes;
})(Policies = exports.Policies || (exports.Policies = {}));
//# sourceMappingURL=policies.js.map