import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as UnrevokesAPI from 'cloudflare/resources/zero-trust/devices/unrevokes';
export declare class Unrevokes extends APIResource {
    /**
     * Unrevokes a list of devices.
     */
    create(params: UnrevokeCreateParams, options?: Core.RequestOptions): Core.APIPromise<UnrevokeCreateResponse | null>;
}
export type UnrevokeCreateResponse = unknown | string;
export interface UnrevokeCreateParams {
    /**
     * Path param:
     */
    account_id: unknown;
    /**
     * Body param: A list of device ids to unrevoke.
     */
    body: Array<string>;
}
export declare namespace Unrevokes {
    export import UnrevokeCreateResponse = UnrevokesAPI.UnrevokeCreateResponse;
    export import UnrevokeCreateParams = UnrevokesAPI.UnrevokeCreateParams;
}
//# sourceMappingURL=unrevokes.d.ts.map