import { APIResource } from 'cloudflare/resource';
import * as ColosAPI from 'cloudflare/resources/zero-trust/dex/colos';
import * as TracerouteTestsAPI from 'cloudflare/resources/zero-trust/dex/traceroute-tests';
import * as FleetStatusAPI from 'cloudflare/resources/zero-trust/dex/fleet-status/fleet-status';
import * as HTTPTestsAPI from 'cloudflare/resources/zero-trust/dex/http-tests/http-tests';
import * as TestsAPI from 'cloudflare/resources/zero-trust/dex/tests/tests';
import * as TracerouteTestResultsAPI from 'cloudflare/resources/zero-trust/dex/traceroute-test-results/traceroute-test-results';
export declare class DEX extends APIResource {
    colos: ColosAPI.Colos;
    fleetStatus: FleetStatusAPI.FleetStatus;
    httpTests: HTTPTestsAPI.HTTPTests;
    tests: TestsAPI.Tests;
    tracerouteTestResults: TracerouteTestResultsAPI.TracerouteTestResults;
    tracerouteTests: TracerouteTestsAPI.TracerouteTests;
}
export declare namespace DEX {
    export import Colos = ColosAPI.Colos;
    export import ColoListResponse = ColosAPI.ColoListResponse;
    export import ColoListParams = ColosAPI.ColoListParams;
    export import FleetStatus = FleetStatusAPI.FleetStatus;
    export import FleetStatusLiveResponse = FleetStatusAPI.FleetStatusLiveResponse;
    export import FleetStatusLiveParams = FleetStatusAPI.FleetStatusLiveParams;
    export import FleetStatusOverTimeParams = FleetStatusAPI.FleetStatusOverTimeParams;
    export import HTTPTests = HTTPTestsAPI.HTTPTests;
    export import DigitalExperienceMonitoringHTTPDetails = HTTPTestsAPI.DigitalExperienceMonitoringHTTPDetails;
    export import HTTPTestGetParams = HTTPTestsAPI.HTTPTestGetParams;
    export import Tests = TestsAPI.Tests;
    export import DigitalExperienceMonitoringTests = TestsAPI.DigitalExperienceMonitoringTests;
    export import TestListResponse = TestsAPI.TestListResponse;
    export import TestListResponsesV4PagePagination = TestsAPI.TestListResponsesV4PagePagination;
    export import TestListParams = TestsAPI.TestListParams;
    export import TracerouteTestResults = TracerouteTestResultsAPI.TracerouteTestResults;
    export import TracerouteTests = TracerouteTestsAPI.TracerouteTests;
    export import DigitalExperienceMonitoringTracerouteDetails = TracerouteTestsAPI.DigitalExperienceMonitoringTracerouteDetails;
    export import DigitalExperienceMonitoringTracerouteDetailsPercentiles = TracerouteTestsAPI.DigitalExperienceMonitoringTracerouteDetailsPercentiles;
    export import DigitalExperienceMonitoringTracerouteTestNetworkPath = TracerouteTestsAPI.DigitalExperienceMonitoringTracerouteTestNetworkPath;
    export import TracerouteTestGetParams = TracerouteTestsAPI.TracerouteTestGetParams;
    export import TracerouteTestNetworkPathParams = TracerouteTestsAPI.TracerouteTestNetworkPathParams;
    export import TracerouteTestPercentilesParams = TracerouteTestsAPI.TracerouteTestPercentilesParams;
}
//# sourceMappingURL=dex.d.ts.map