// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
import * as TestsAPI from 'cloudflare/resources/zero-trust/dex/tests/tests';
import * as UniqueDevicesAPI from 'cloudflare/resources/zero-trust/dex/tests/unique-devices';
import { V4PagePagination } from 'cloudflare/pagination';
export class Tests extends APIResource {
    constructor() {
        super(...arguments);
        this.uniqueDevices = new UniqueDevicesAPI.UniqueDevices(this._client);
    }
    /**
     * List DEX tests
     */
    list(params, options) {
        const { account_id, ...query } = params;
        return this._client.getAPIList(`/accounts/${account_id}/dex/tests`, TestListResponsesV4PagePagination, {
            query,
            ...options,
        });
    }
}
export class TestListResponsesV4PagePagination extends V4PagePagination {
}
(function (Tests) {
    Tests.TestListResponsesV4PagePagination = TestsAPI.TestListResponsesV4PagePagination;
    Tests.UniqueDevices = UniqueDevicesAPI.UniqueDevices;
})(Tests || (Tests = {}));
//# sourceMappingURL=tests.mjs.map