import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as UniqueDevicesAPI from 'cloudflare/resources/zero-trust/dex/tests/unique-devices';
export declare class UniqueDevices extends APIResource {
    /**
     * Returns unique count of devices that have run synthetic application monitoring
     * tests in the past 7 days.
     */
    list(params: UniqueDeviceListParams, options?: Core.RequestOptions): Core.APIPromise<DigitalExperienceMonitoringUniqueDevices>;
}
export interface DigitalExperienceMonitoringUniqueDevices {
    /**
     * total number of unique devices
     */
    uniqueDevicesTotal: number;
}
export interface UniqueDeviceListParams {
    /**
     * Path param: unique identifier linked to an account in the API request path.
     */
    account_id: string;
    /**
     * Query param: Optionally filter result stats to a specific device(s). Cannot be
     * used in combination with colo param.
     */
    deviceId?: Array<string>;
    /**
     * Query param: Optionally filter results by test name
     */
    testName?: string;
}
export declare namespace UniqueDevices {
    export import DigitalExperienceMonitoringUniqueDevices = UniqueDevicesAPI.DigitalExperienceMonitoringUniqueDevices;
    export import UniqueDeviceListParams = UniqueDevicesAPI.UniqueDeviceListParams;
}
//# sourceMappingURL=unique-devices.d.ts.map