import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as UploadAPI from 'cloudflare/resources/zero-trust/dlp/datasets/upload';
import * as DatasetsAPI from 'cloudflare/resources/zero-trust/dlp/datasets/datasets';
export declare class Upload extends APIResource {
    /**
     * Prepare to upload a new version of a dataset.
     */
    create(datasetId: string, params: UploadCreateParams, options?: Core.RequestOptions): Core.APIPromise<DLPDatasetNewVersion>;
    /**
     * Upload a new version of a dataset.
     */
    edit(datasetId: string, version: number, params: UploadEditParams, options?: Core.RequestOptions): Core.APIPromise<DatasetsAPI.DLPDataset>;
}
export interface DLPDatasetNewVersion {
    max_cells: number;
    version: number;
    secret?: string;
}
export interface UploadCreateParams {
    account_id: string;
}
export interface UploadEditParams {
    account_id: string;
}
export declare namespace Upload {
    export import DLPDatasetNewVersion = UploadAPI.DLPDatasetNewVersion;
    export import UploadCreateParams = UploadAPI.UploadCreateParams;
    export import UploadEditParams = UploadAPI.UploadEditParams;
}
//# sourceMappingURL=upload.d.ts.map