// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
import * as CustomAPI from 'cloudflare/resources/zero-trust/dlp/profiles/custom';
import * as PredefinedAPI from 'cloudflare/resources/zero-trust/dlp/profiles/predefined';
export class Profiles extends APIResource {
    constructor() {
        super(...arguments);
        this.custom = new CustomAPI.Custom(this._client);
        this.predefined = new PredefinedAPI.Predefined(this._client);
    }
    /**
     * Lists all DLP profiles in an account.
     */
    list(params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/dlp/profiles`, options)._thenUnwrap((obj) => obj.result);
    }
    /**
     * Fetches a DLP profile by ID. Supports both predefined and custom profiles
     */
    get(profileId, params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/dlp/profiles/${profileId}`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (Profiles) {
    Profiles.Custom = CustomAPI.Custom;
    Profiles.Predefined = PredefinedAPI.Predefined;
})(Profiles || (Profiles = {}));
//# sourceMappingURL=profiles.mjs.map