"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuditSSHSettings = void 0;
const resource_1 = require("cloudflare/resource");
class AuditSSHSettings extends resource_1.APIResource {
    /**
     * Updates Zero Trust Audit SSH settings.
     */
    update(params, options) {
        const { account_id, ...body } = params;
        return this._client.put(`/accounts/${account_id}/gateway/audit_ssh_settings`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Get all Zero Trust Audit SSH settings for an account.
     */
    get(params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/gateway/audit_ssh_settings`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.AuditSSHSettings = AuditSSHSettings;
(function (AuditSSHSettings) {
})(AuditSSHSettings = exports.AuditSSHSettings || (exports.AuditSSHSettings = {}));
//# sourceMappingURL=audit-ssh-settings.js.map