import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as IPsAPI from 'cloudflare/resources/zero-trust/networks/routes/ips';
import * as RoutesAPI from 'cloudflare/resources/zero-trust/networks/routes/routes';
export declare class IPs extends APIResource {
    /**
     * Fetches routes that contain the given IP address.
     */
    get(ip: string, params: IPGetParams, options?: Core.RequestOptions): Core.APIPromise<RoutesAPI.TunnelTeamnet>;
}
export interface IPGetParams {
    /**
     * Path param: Cloudflare account ID
     */
    account_id: string;
    /**
     * Query param: UUID of the Tunnel Virtual Network this route belongs to. If no
     * virtual networks are configured, the route is assigned to the default virtual
     * network of the account.
     */
    virtual_network_id?: unknown;
}
export declare namespace IPs {
    export import IPGetParams = IPsAPI.IPGetParams;
}
//# sourceMappingURL=ips.d.ts.map