"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.Holds = void 0;
const resource_1 = require("cloudflare/resource");
class Holds extends resource_1.APIResource {
    /**
     * Enforce a zone hold on the zone, blocking the creation and activation of zones
     * with this zone's hostname.
     */
    create(params, options) {
        const { zone_id, include_subdomains } = params;
        return this._client.post(`/zones/${zone_id}/hold`, {
            query: { include_subdomains },
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Stop enforcement of a zone hold on the zone, permanently or temporarily,
     * allowing the creation and activation of zones with this zone's hostname.
     */
    delete(params, options) {
        const { zone_id, hold_after } = params;
        return this._client.delete(`/zones/${zone_id}/hold`, {
            query: { hold_after },
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Retrieve whether the zone is subject to a zone hold, and metadata about the
     * hold.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/hold`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.Holds = Holds;
(function (Holds) {
})(Holds = exports.Holds || (exports.Holds = {}));
//# sourceMappingURL=holds.js.map