import * as Core from 'cloudflare/core';
import { APIResource } from 'cloudflare/resource';
import * as AdvancedDDOSAPI from 'cloudflare/resources/zones/settings/advanced-ddos';
export declare class AdvancedDDOS extends APIResource {
    /**
     * Advanced protection from Distributed Denial of Service (DDoS) attacks on your
     * website. This is an uneditable value that is 'on' in the case of Business and
     * Enterprise zones.
     */
    get(params: AdvancedDDOSGetParams, options?: Core.RequestOptions): Core.APIPromise<ZonesAdvancedDDOS>;
}
/**
 * Advanced protection from Distributed Denial of Service (DDoS) attacks on your
 * website. This is an uneditable value that is 'on' in the case of Business and
 * Enterprise zones.
 */
export interface ZonesAdvancedDDOS {
    /**
     * ID of the zone setting.
     */
    id: 'advanced_ddos';
    /**
     * Current value of the zone setting.
     */
    value: 'on' | 'off';
    /**
     * Whether or not this setting can be modified for this zone (based on your
     * Cloudflare plan level).
     */
    editable?: true | false;
    /**
     * last time this setting was modified.
     */
    modified_on?: string | null;
}
export interface AdvancedDDOSGetParams {
    /**
     * Identifier
     */
    zone_id: string;
}
export declare namespace AdvancedDDOS {
    export import ZonesAdvancedDDOS = AdvancedDDOSAPI.ZonesAdvancedDDOS;
    export import AdvancedDDOSGetParams = AdvancedDDOSAPI.AdvancedDDOSGetParams;
}
//# sourceMappingURL=advanced-ddos.d.ts.map