"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.AutomaticPlatformOptimization = void 0;
const resource_1 = require("cloudflare/resource");
class AutomaticPlatformOptimization extends resource_1.APIResource {
    /**
     * [Automatic Platform Optimization for WordPress](https://developers.cloudflare.com/automatic-platform-optimization/)
     * serves your WordPress site from Cloudflare's edge network and caches third-party
     * fonts.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/automatic_platform_optimization`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * [Automatic Platform Optimization for WordPress](https://developers.cloudflare.com/automatic-platform-optimization/)
     * serves your WordPress site from Cloudflare's edge network and caches third-party
     * fonts.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/automatic_platform_optimization`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.AutomaticPlatformOptimization = AutomaticPlatformOptimization;
(function (AutomaticPlatformOptimization) {
})(AutomaticPlatformOptimization = exports.AutomaticPlatformOptimization || (exports.AutomaticPlatformOptimization = {}));
//# sourceMappingURL=automatic-platform-optimization.js.map