"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.Brotli = void 0;
const resource_1 = require("cloudflare/resource");
class Brotli extends resource_1.APIResource {
    /**
     * When the client requesting an asset supports the Brotli compression algorithm,
     * Cloudflare will serve a Brotli compressed version of the asset.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/brotli`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * When the client requesting an asset supports the Brotli compression algorithm,
     * Cloudflare will serve a Brotli compressed version of the asset.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/brotli`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.Brotli = Brotli;
(function (Brotli) {
})(Brotli = exports.Brotli || (exports.Brotli = {}));
//# sourceMappingURL=brotli.js.map