"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.BrowserCheck = void 0;
const resource_1 = require("cloudflare/resource");
class BrowserCheck extends resource_1.APIResource {
    /**
     * Browser Integrity Check is similar to Bad Behavior and looks for common HTTP
     * headers abused most commonly by spammers and denies access to your page. It will
     * also challenge visitors that do not have a user agent or a non standard user
     * agent (also commonly used by abuse bots, crawlers or visitors).
     * (https://support.cloudflare.com/hc/en-us/articles/200170086).
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/browser_check`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Browser Integrity Check is similar to Bad Behavior and looks for common HTTP
     * headers abused most commonly by spammers and denies access to your page. It will
     * also challenge visitors that do not have a user agent or a non standard user
     * agent (also commonly used by abuse bots, crawlers or visitors).
     * (https://support.cloudflare.com/hc/en-us/articles/200170086).
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/browser_check`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.BrowserCheck = BrowserCheck;
(function (BrowserCheck) {
})(BrowserCheck = exports.BrowserCheck || (exports.BrowserCheck = {}));
//# sourceMappingURL=browser-check.js.map