"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.CacheLevel = void 0;
const resource_1 = require("cloudflare/resource");
class CacheLevel extends resource_1.APIResource {
    /**
     * Cache Level functions based off the setting level. The basic setting will cache
     * most static resources (i.e., css, images, and JavaScript). The simplified
     * setting will ignore the query string when delivering a cached resource. The
     * aggressive setting will cache all static resources, including ones with a query
     * string. (https://support.cloudflare.com/hc/en-us/articles/200168256).
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/cache_level`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Cache Level functions based off the setting level. The basic setting will cache
     * most static resources (i.e., css, images, and JavaScript). The simplified
     * setting will ignore the query string when delivering a cached resource. The
     * aggressive setting will cache all static resources, including ones with a query
     * string. (https://support.cloudflare.com/hc/en-us/articles/200168256).
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/cache_level`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.CacheLevel = CacheLevel;
(function (CacheLevel) {
})(CacheLevel = exports.CacheLevel || (exports.CacheLevel = {}));
//# sourceMappingURL=cache-level.js.map