"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.DevelopmentMode = void 0;
const resource_1 = require("cloudflare/resource");
class DevelopmentMode extends resource_1.APIResource {
    /**
     * Development Mode temporarily allows you to enter development mode for your
     * websites if you need to make changes to your site. This will bypass Cloudflare's
     * accelerated cache and slow down your site, but is useful if you are making
     * changes to cacheable content (like images, css, or JavaScript) and would like to
     * see those changes right away. Once entered, development mode will last for 3
     * hours and then automatically toggle off.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/development_mode`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Development Mode temporarily allows you to enter development mode for your
     * websites if you need to make changes to your site. This will bypass Cloudflare's
     * accelerated cache and slow down your site, but is useful if you are making
     * changes to cacheable content (like images, css, or JavaScript) and would like to
     * see those changes right away. Once entered, development mode will last for 3
     * hours and then automatically toggle off.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/development_mode`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.DevelopmentMode = DevelopmentMode;
(function (DevelopmentMode) {
})(DevelopmentMode = exports.DevelopmentMode || (exports.DevelopmentMode = {}));
//# sourceMappingURL=development-mode.js.map