// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class EmailObfuscation extends APIResource {
    /**
     * Encrypt email adresses on your web page from bots, while keeping them visible to
     * humans. (https://support.cloudflare.com/hc/en-us/articles/200170016).
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/email_obfuscation`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Encrypt email adresses on your web page from bots, while keeping them visible to
     * humans. (https://support.cloudflare.com/hc/en-us/articles/200170016).
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/email_obfuscation`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (EmailObfuscation) {
})(EmailObfuscation || (EmailObfuscation = {}));
//# sourceMappingURL=email-obfuscation.mjs.map