"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.FontSettings = void 0;
const resource_1 = require("cloudflare/resource");
class FontSettings extends resource_1.APIResource {
    /**
     * Enhance your website's font delivery with Cloudflare Fonts. Deliver Google
     * Hosted fonts from your own domain, boost performance, and enhance user privacy.
     * Refer to the Cloudflare Fonts documentation for more information.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/fonts`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Enhance your website's font delivery with Cloudflare Fonts. Deliver Google
     * Hosted fonts from your own domain, boost performance, and enhance user privacy.
     * Refer to the Cloudflare Fonts documentation for more information.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/fonts`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.FontSettings = FontSettings;
(function (FontSettings) {
})(FontSettings = exports.FontSettings || (exports.FontSettings = {}));
//# sourceMappingURL=font-settings.js.map