"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.H2Prioritization = void 0;
const resource_1 = require("cloudflare/resource");
class H2Prioritization extends resource_1.APIResource {
    /**
     * Gets HTTP/2 Edge Prioritization setting.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/h2_prioritization`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Gets HTTP/2 Edge Prioritization setting.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/h2_prioritization`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.H2Prioritization = H2Prioritization;
(function (H2Prioritization) {
})(H2Prioritization = exports.H2Prioritization || (exports.H2Prioritization = {}));
//# sourceMappingURL=h2-prioritization.js.map