// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class IPV6 extends APIResource {
    /**
     * Enable IPv6 on all subdomains that are Cloudflare enabled.
     * (https://support.cloudflare.com/hc/en-us/articles/200168586).
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/ipv6`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Enable IPv6 on all subdomains that are Cloudflare enabled.
     * (https://support.cloudflare.com/hc/en-us/articles/200168586).
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/ipv6`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (IPV6) {
})(IPV6 || (IPV6 = {}));
//# sourceMappingURL=ipv6.mjs.map