"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.OpportunisticEncryption = void 0;
const resource_1 = require("cloudflare/resource");
class OpportunisticEncryption extends resource_1.APIResource {
    /**
     * Changes Opportunistic Encryption setting.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/opportunistic_encryption`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Gets Opportunistic Encryption setting.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/opportunistic_encryption`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.OpportunisticEncryption = OpportunisticEncryption;
(function (OpportunisticEncryption) {
})(OpportunisticEncryption = exports.OpportunisticEncryption || (exports.OpportunisticEncryption = {}));
//# sourceMappingURL=opportunistic-encryption.js.map