"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrangeToOrange = void 0;
const resource_1 = require("cloudflare/resource");
class OrangeToOrange extends resource_1.APIResource {
    /**
     * Orange to Orange (O2O) allows zones on Cloudflare to CNAME to other zones also
     * on Cloudflare.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/orange_to_orange`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Orange to Orange (O2O) allows zones on Cloudflare to CNAME to other zones also
     * on Cloudflare.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/orange_to_orange`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.OrangeToOrange = OrangeToOrange;
(function (OrangeToOrange) {
})(OrangeToOrange = exports.OrangeToOrange || (exports.OrangeToOrange = {}));
//# sourceMappingURL=orange-to-orange.js.map