"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrefetchPreload = void 0;
const resource_1 = require("cloudflare/resource");
class PrefetchPreload extends resource_1.APIResource {
    /**
     * Cloudflare will prefetch any URLs that are included in the response headers.
     * This is limited to Enterprise Zones.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/prefetch_preload`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Cloudflare will prefetch any URLs that are included in the response headers.
     * This is limited to Enterprise Zones.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/prefetch_preload`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.PrefetchPreload = PrefetchPreload;
(function (PrefetchPreload) {
})(PrefetchPreload = exports.PrefetchPreload || (exports.PrefetchPreload = {}));
//# sourceMappingURL=prefetch-preload.js.map