// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class PrefetchPreload extends APIResource {
    /**
     * Cloudflare will prefetch any URLs that are included in the response headers.
     * This is limited to Enterprise Zones.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/prefetch_preload`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Cloudflare will prefetch any URLs that are included in the response headers.
     * This is limited to Enterprise Zones.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/prefetch_preload`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (PrefetchPreload) {
})(PrefetchPreload || (PrefetchPreload = {}));
//# sourceMappingURL=prefetch-preload.mjs.map