"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProxyReadTimeout = void 0;
const resource_1 = require("cloudflare/resource");
class ProxyReadTimeout extends resource_1.APIResource {
    /**
     * Maximum time between two read operations from origin.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/proxy_read_timeout`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Maximum time between two read operations from origin.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/proxy_read_timeout`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.ProxyReadTimeout = ProxyReadTimeout;
(function (ProxyReadTimeout) {
})(ProxyReadTimeout = exports.ProxyReadTimeout || (exports.ProxyReadTimeout = {}));
//# sourceMappingURL=proxy-read-timeout.js.map