"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.SecurityLevel = void 0;
const resource_1 = require("cloudflare/resource");
class SecurityLevel extends resource_1.APIResource {
    /**
     * Choose the appropriate security profile for your website, which will
     * automatically adjust each of the security settings. If you choose to customize
     * an individual security setting, the profile will become Custom.
     * (https://support.cloudflare.com/hc/en-us/articles/200170056).
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/security_level`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Choose the appropriate security profile for your website, which will
     * automatically adjust each of the security settings. If you choose to customize
     * an individual security setting, the profile will become Custom.
     * (https://support.cloudflare.com/hc/en-us/articles/200170056).
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/security_level`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.SecurityLevel = SecurityLevel;
(function (SecurityLevel) {
})(SecurityLevel = exports.SecurityLevel || (exports.SecurityLevel = {}));
//# sourceMappingURL=security-level.js.map