"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.TLS1_3 = void 0;
const resource_1 = require("cloudflare/resource");
class TLS1_3 extends resource_1.APIResource {
    /**
     * Changes TLS 1.3 setting.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/tls_1_3`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Gets TLS 1.3 setting enabled for a zone.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/tls_1_3`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.TLS1_3 = TLS1_3;
(function (TLS1_3) {
})(TLS1_3 = exports.TLS1_3 || (exports.TLS1_3 = {}));
//# sourceMappingURL=tls-1-3.js.map