// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class TrueClientIPHeader extends APIResource {
    /**
     * Allows customer to continue to use True Client IP (Akamai feature) in the
     * headers we send to the origin. This is limited to Enterprise Zones.
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/true_client_ip_header`, {
            body,
            ...options,
        })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Allows customer to continue to use True Client IP (Akamai feature) in the
     * headers we send to the origin. This is limited to Enterprise Zones.
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/true_client_ip_header`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (TrueClientIPHeader) {
})(TrueClientIPHeader || (TrueClientIPHeader = {}));
//# sourceMappingURL=true-client-ip-header.mjs.map