// File generated from our OpenAPI spec by Stainless.
import { APIResource } from 'cloudflare/resource';
export class Websocket extends APIResource {
    /**
     * Changes Websockets setting. For more information about Websockets, please refer
     * to
     * [Using Cloudflare with WebSockets](https://support.cloudflare.com/hc/en-us/articles/200169466-Using-Cloudflare-with-WebSockets).
     */
    edit(params, options) {
        const { zone_id, ...body } = params;
        return this._client.patch(`/zones/${zone_id}/settings/websockets`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Gets Websockets setting. For more information about Websockets, please refer to
     * [Using Cloudflare with WebSockets](https://support.cloudflare.com/hc/en-us/articles/200169466-Using-Cloudflare-with-WebSockets).
     */
    get(params, options) {
        const { zone_id } = params;
        return this._client.get(`/zones/${zone_id}/settings/websockets`, options)._thenUnwrap((obj) => obj.result);
    }
}
(function (Websocket) {
})(Websocket || (Websocket = {}));
//# sourceMappingURL=websocket.mjs.map