"use strict";
// File generated from our OpenAPI spec by Stainless.
Object.defineProperty(exports, "__esModule", { value: true });
exports.PayloadLogs = void 0;
const resource_1 = require("cloudflare/resource");
class PayloadLogs extends resource_1.APIResource {
    /**
     * Updates the DLP payload log settings for this account.
     */
    update(params, options) {
        const { account_id, ...body } = params;
        return this._client.put(`/accounts/${account_id}/dlp/payload_log`, { body, ...options })._thenUnwrap((obj) => obj.result);
    }
    /**
     * Gets the current DLP payload log settings for this account.
     */
    get(params, options) {
        const { account_id } = params;
        return this._client.get(`/accounts/${account_id}/dlp/payload_log`, options)._thenUnwrap((obj) => obj.result);
    }
}
exports.PayloadLogs = PayloadLogs;
(function (PayloadLogs) {
})(PayloadLogs = exports.PayloadLogs || (exports.PayloadLogs = {}));
//# sourceMappingURL=payload-logs.js.map